Create a knowledge base
curl --request POST \
--url https://app.rookoo.ai/api/v1/accounts/{account_id}/knowledgebases \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"knowledgebase": {
"name": "<string>",
"description": "<string>",
"type": "<string>",
"query_builder_instructions": "<string>",
"optimized_query": true,
"disable_match_filter": true,
"index_media": true,
"hybrid_factor": 123,
"max_distance_boost": 123,
"default_geo_mode": "<string>",
"geo_radius_city": 123,
"geo_radius_region": 123,
"geo_radius_address": 123,
"template_config": {},
"custom_geo_areas": [
{}
],
"files": [
"<string>"
]
}
}
'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
knowledgebase: {
name: '<string>',
description: '<string>',
type: '<string>',
query_builder_instructions: '<string>',
optimized_query: true,
disable_match_filter: true,
index_media: true,
hybrid_factor: 123,
max_distance_boost: 123,
default_geo_mode: '<string>',
geo_radius_city: 123,
geo_radius_region: 123,
geo_radius_address: 123,
template_config: {},
custom_geo_areas: [{}],
files: ['<string>']
}
})
};
fetch('https://app.rookoo.ai/api/v1/accounts/{account_id}/knowledgebases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.rookoo.ai/api/v1/accounts/{account_id}/knowledgebases"
payload = { "knowledgebase": {
"name": "<string>",
"description": "<string>",
"type": "<string>",
"query_builder_instructions": "<string>",
"optimized_query": True,
"disable_match_filter": True,
"index_media": True,
"hybrid_factor": 123,
"max_distance_boost": 123,
"default_geo_mode": "<string>",
"geo_radius_city": 123,
"geo_radius_region": 123,
"geo_radius_address": 123,
"template_config": {},
"custom_geo_areas": [{}],
"files": ["<string>"]
} }
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": 123,
"name": "<string>",
"description": "<string>",
"type": "<string>",
"parent_id": 123,
"namespace": "<string>",
"system": true,
"query_builder_instructions": "<string>",
"optimized_query": true,
"disable_match_filter": true,
"index_media": true,
"hybrid_factor": 123,
"max_distance_boost": 123,
"default_geo_mode": "<string>",
"template_config": {},
"custom_geo_areas": [
{}
],
"space_associated": true
}Knowledge Bases
Create a knowledge base
POST
/
api
/
v1
/
accounts
/
{account_id}
/
knowledgebases
Create a knowledge base
curl --request POST \
--url https://app.rookoo.ai/api/v1/accounts/{account_id}/knowledgebases \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"knowledgebase": {
"name": "<string>",
"description": "<string>",
"type": "<string>",
"query_builder_instructions": "<string>",
"optimized_query": true,
"disable_match_filter": true,
"index_media": true,
"hybrid_factor": 123,
"max_distance_boost": 123,
"default_geo_mode": "<string>",
"geo_radius_city": 123,
"geo_radius_region": 123,
"geo_radius_address": 123,
"template_config": {},
"custom_geo_areas": [
{}
],
"files": [
"<string>"
]
}
}
'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
knowledgebase: {
name: '<string>',
description: '<string>',
type: '<string>',
query_builder_instructions: '<string>',
optimized_query: true,
disable_match_filter: true,
index_media: true,
hybrid_factor: 123,
max_distance_boost: 123,
default_geo_mode: '<string>',
geo_radius_city: 123,
geo_radius_region: 123,
geo_radius_address: 123,
template_config: {},
custom_geo_areas: [{}],
files: ['<string>']
}
})
};
fetch('https://app.rookoo.ai/api/v1/accounts/{account_id}/knowledgebases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.rookoo.ai/api/v1/accounts/{account_id}/knowledgebases"
payload = { "knowledgebase": {
"name": "<string>",
"description": "<string>",
"type": "<string>",
"query_builder_instructions": "<string>",
"optimized_query": True,
"disable_match_filter": True,
"index_media": True,
"hybrid_factor": 123,
"max_distance_boost": 123,
"default_geo_mode": "<string>",
"geo_radius_city": 123,
"geo_radius_region": 123,
"geo_radius_address": 123,
"template_config": {},
"custom_geo_areas": [{}],
"files": ["<string>"]
} }
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": 123,
"name": "<string>",
"description": "<string>",
"type": "<string>",
"parent_id": 123,
"namespace": "<string>",
"system": true,
"query_builder_instructions": "<string>",
"optimized_query": true,
"disable_match_filter": true,
"index_media": true,
"hybrid_factor": 123,
"max_distance_boost": 123,
"default_geo_mode": "<string>",
"template_config": {},
"custom_geo_areas": [
{}
],
"space_associated": true
}Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
Success